Delete embeddings
curl --request DELETE \
--url https://api.example.com/api/v1/embeddings/{indexName}/delete \
--header 'Content-Type: application/json' \
--header 'X-Eigen-API-Key: <api-key>' \
--data '
{
"ids": [
123
]
}
'import requests
url = "https://api.example.com/api/v1/embeddings/{indexName}/delete"
payload = { "ids": [123] }
headers = {
"X-Eigen-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Eigen-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123]})
};
fetch('https://api.example.com/api/v1/embeddings/{indexName}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "2/2 embeddings successfully deleted."
}{
"status": 500,
"message": "1/2 embeddings successfully deleted.",
"error": {
"code": "EMBEDDINGS_SKIPPED",
"description": [
"embedding with ID 87 was not deleted - embedding with ID 87 does not exist"
]
}
}API Reference
Delete embeddings
Delete a set of embeddings using IDs.
DELETE
/
api
/
v1
/
embeddings
/
{indexName}
/
delete
Delete embeddings
Authorizations
Path Parameters
Name of the index
Body
application/json
IDs of embedding to delete
⌘I